<?php

namespace App\Helpers\Customer\Wallet;

class CouponHelper extends WalletHelper
{
    public function __construct()
    {
        parent::__construct();
    }
    public function getFieldView(string $field, mixed $value, array $viewDatas, array $extras = []): string|null
    {
        switch ($field) {
            case 'cnt':
                $value = number_format($value) . "개";
                break;
            default:
                $value = parent::getFieldView($field, $value, $viewDatas, $extras);
                break;
        }
        return $value;
    }
}
